View Issue Details

IDProjectCategoryView StatusLast Update
0004840Talerexchangepublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0004840: /keys cherry picking
DescriptionProblem about the signature of the cumulative hash of al DKs, namely the
'eddsa_sig' field sent along in the /keys response:

(1) it makes it difficult to optimize the /keys response. I.e. we might
want to leave out DKs that the wallet already knows. If the wallet were
to tell us: only send DKs later than XXX (timestamp), we could possibly
save a LOT of bandwidth. If we want to do this optimization, we need a
different way to indicate which set of keys the signature is over (if
the client already has the DKs, they can obviously be included in the
hash, but we still need an _efficient_ way to communicate the set of DKs
to use, i.e. by numbering them per-exchange). Future work...
TagsNo tags attached.

Activities

Christian Grothoff

2017-03-18 23:17

manager   ~0011937

Relating to 0003887 as having 0003887 also changes /keys and cherry-picking.

Christian Grothoff

2017-06-29 20:48

manager   ~0012286

First bits of spec and logic pushed, actual implementation(s) in exchange and exchange-lib still missing, but marked with 0004840.

Christian Grothoff

2017-09-12 15:35

manager   ~0012423

7d21331..7aa23a3 adds cherry picking support to the exchange-lib/ code.

Christian Grothoff

2017-09-13 01:15

manager   ~0012424

7aa23a3..6d7645a _might_ complete the implementation, but it VERY BADLY needs an automated test. The test should have the API download /keys, generate more keys, SIGNAL the exchange HTTPD to reload the keys, then do the incremental download, and finally show that the new denomination keys (and auditor signatures) were merged in properly.

Christian Grothoff

2017-09-14 20:52

manager   ~0012425

Test implemented (plus bugfixes) in f440904..f346e89

Christian Grothoff

2017-09-14 21:08

manager   ~0012426

Code is implemented and could be used by the wallet. However, leaving the bug open as it is in need for a clean-up.

Christian Grothoff

2017-09-17 16:53

manager   ~0012427

Code completed and cleaned up as of 1c3e787..e328b44.

Issue History

Date Modified Username Field Change
2016-12-16 10:02 Marcello Stanisci New Issue
2016-12-16 10:02 Marcello Stanisci Status new => assigned
2016-12-16 10:02 Marcello Stanisci Assigned To => Christian Grothoff
2016-12-16 10:04 Marcello Stanisci Description Updated View Revisions
2017-03-02 08:04 Christian Grothoff Product Version => SVN HEAD
2017-03-02 08:04 Christian Grothoff Target Version => 0.5
2017-03-04 23:02 Christian Grothoff Severity minor => feature
2017-03-18 23:16 Christian Grothoff Relationship added related to 0003887
2017-03-18 23:17 Christian Grothoff Note Added: 0011937
2017-04-10 17:58 Christian Grothoff Relationship deleted related to 0003887
2017-06-29 20:48 Christian Grothoff Note Added: 0012286
2017-09-12 15:35 Christian Grothoff Note Added: 0012423
2017-09-13 01:15 Christian Grothoff Note Added: 0012424
2017-09-14 20:52 Christian Grothoff Note Added: 0012425
2017-09-14 21:08 Christian Grothoff Note Added: 0012426
2017-09-17 16:53 Christian Grothoff Note Added: 0012427
2017-09-17 16:53 Christian Grothoff Status assigned => resolved
2017-09-17 16:53 Christian Grothoff Resolution open => fixed
2017-09-17 16:53 Christian Grothoff Fixed in Version => 0.4
2017-09-17 16:53 Christian Grothoff Target Version 0.5 => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed